=== modified file 'lib/lp/bugs/browser/bugtarget.py'
--- lib/lp/bugs/browser/bugtarget.py	2011-06-07 05:37:21 +0000
+++ lib/lp/bugs/browser/bugtarget.py	2011-06-07 23:20:43 +0000
@@ -1451,8 +1451,11 @@
     @property
     def tags_js_data(self):
         """Return the JSON representation of the bug tags."""
-        used_tags = self.context.getUsedBugTagsWithOpenCounts(self.user)
-        official_tags = self.context.official_bug_tags
+        # The model returns dict and list respectively but dumps blows up on
+        # security proxied objects.
+        used_tags = removeSecurityProxy(
+            self.context.getUsedBugTagsWithOpenCounts(self.user))
+        official_tags = removeSecurityProxy(self.context.official_bug_tags)
         return """<script type="text/javascript">
                       var used_bug_tags = %s;
                       var official_bug_tags = %s;

